Skip to main content
GET
/
v1
/
orders
/
{order_hash}
Get an order
curl --request GET \
  --url https://api.foresight.now/v1/orders/{order_hash} \
  --header 'Authorization: Bearer <token>'
{
  "order_hash": "<string>",
  "condition_id": "<string>",
  "chain_id": 56,
  "price": "<string>",
  "size": "<string>",
  "remaining_size": "<string>",
  "token_id": "<string>",
  "fee_rate_bps": 123,
  "expiration": "<string>",
  "book_added_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Privy-issued JWT. Required for L1 routes; accepted on L2 routes.

Path Parameters

order_hash
string
required

Response

OK

order_hash
string | null
condition_id
string
chain_id
integer
Example:

56

side
enum<string>
Available options:
BUY,
SELL
outcome
enum<integer>
Available options:
0,
1
order_type
enum<string>
Available options:
LIMIT,
MARKET,
GTD
price
string
size
string
remaining_size
string
status
enum<string>
Available options:
OPEN,
PARTIALLY_FILLED,
MATCHED,
FILLED,
CANCELLED,
EXPIRED,
MATCH_FAILED
token_id
string | null
fee_rate_bps
integer
expiration
string | null
book_added_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>